from copy import copy
from sys import exit

n, k = map(int, open('grasshopper.in').read().split())
out = open('grasshopper.out', 'w').write

if k == 0:
	if n < 4:
		out('Impossible')
	else:
		out('1 ' + (n - 2) * '0 ' + '1')
	exit()

ideas = []

def split(n, last, now):
	if n == 1:
		ideas.append(copy(now))
		ideas.append(copy(now + [2]))
	for i in range(last, m):
		if n % fib[i] == 0:
			now.append(i + 3)
			split(n / fib[i], i, now)
			now.pop()

ones = lambda n: '1 ' * n

def check(n, a):
	l = sum(a) + len(a) - 1
	if l <= n and l % 2 == n % 2:
		ans = '0 '.join(ones(i) for i in a) + '0 1 ' * ((n - l) // 2) if l != -1 else '0 '.join('1 ' for  i in range(n // 2 + 1))
		out(ans)
		return True
	return False

fib = [1, 1]
while (fib[-1] < k):
	fib.append(fib[-1] + fib[-2])

fib = fib[2:]
m = len(fib)

split(k, 0, [])

for idea in ideas:
	if check(n, idea):
		exit()
out('Impossible')
