import java.io.*;
import java.util.*;

public class grasshopper_sm_greed {

	void solve() throws IOException {
		int n = nextInt();
		assert 2 <= n && n <= 1000;
		long k = nextLong();
		assert 0 <= k && k <= 1e18;
		if (k == 0) {
			if (n <= 3) {
				out.println("Impossible");
			} else {
				out.print(1);
				for (int i = 0; i < n - 2; i++) {
					out.print(" " + 0);
				}
				out.println(" " + 1);
			}
			return;
		}
		if (n == 2 && k == 1) {
			out.println("1 1");
			return;
		}
		long[] a = new long[92];
		a[0] = 1;
		a[1] = 1;
		for (int i = 2; i < a.length; i++) {
			a[i] = a[i - 1] + a[i - 2];
		}
		long s = -1;
		ArrayList<Integer> lens = new ArrayList<Integer>();
		for (int j = a.length - 1; j >= 2; j--) {
			while (k % a[j] == 0) {
				k /= a[j];
				lens.add(j + 1);
				s += j + 2;
			}
		}

		if (lens.isEmpty()) {
			lens.add(1);
			s = 1;
		}
		if (k != 1 || s > n || s == n - 1) {
			out.println("Impossible");
			return;
		}

		for (int r = 0; r < lens.size(); r++) {
			int i = lens.get(r);
			for (int j = 0; j < i; j++) {
				out.print(1 + " ");
			}
			if (r < lens.size() - 1) {
				out.print(0 + " ");
				n -= i + 1;
			} else {
				n -= i;
			}
		}
		while (n >= 2) {
			out.print("0 1 ");
			n -= 2;
		}
		if (n != 0) {
			out.print("1");
		}
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;

	final String filename = "grasshopper";

	public void run() {
		try {
			br = new BufferedReader(new FileReader(filename + ".in"));
			out = new PrintWriter(filename + ".out");
			solve();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	String nextToken() {
		try {
			while (st == null || !st.hasMoreTokens()) {
				String s = br.readLine();
				if (s == null) {
					return null;
				}
				st = new StringTokenizer(s);
			}
			return st.nextToken();
		} catch (IOException e) {
			throw new RuntimeException();
		}
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	long nextLong() {
		return Long.parseLong(nextToken());
	}

	public static void main(String[] args) {
		new grasshopper_sm_greed().run();
	}
}
